Subject: bug#19857: BUG with head "-n-0"

From: Paul Eggert <[email-masked]>
Date: Fri, 13 Feb 2015 09:25:11 -0800

matshyeq wrote:
> I think I've found an issue when head is called with -n-0 parameter
> It should return whole file but only seem to work for files with newline
> character at the end.

I'm not observing this problem on Ubuntu 14.10 x86-64; see below.  Which 
platform and version of 'head' are you running?  Can you send a recipe to 
reproduce the bug?

$ printf 'abc\ndef\nghi' >t
$ head -n-0 t
abc
def
ghi$ head --version | head -n1
head (GNU coreutils) 8.23